From e8126cbc2f867bdba1aaeac11192161a80aa5df1 Mon Sep 17 00:00:00 2001
From: tezike <eziket18@gmail.com>
Date: May 01 2021 22:15:59 +0000
Subject: [PATCH 6/6] balck and flake changes


---

diff --git a/generate-activity-charts.py b/generate-activity-charts.py
index 1707bfc..e8cdd8b 100755
--- a/generate-activity-charts.py
+++ b/generate-activity-charts.py
@@ -1,11 +1,8 @@
 #!/usr/bin/python3
 import os
-%matplotlib inline
 import matplotlib as m
-import matplotlib.pyplot as plt
 import pandas as pd
-from typing import Dict, List
-from utils import *
+from utils import rename, get_pct, plot, save
 
 m.use("Agg")
 
@@ -17,11 +14,13 @@ try:
 except OSError:
     pass
 
-#=============================datagit==============================
-new_names = {"users1": "Top 1%",
-             "users9": "Next 9%",
-             "users40": "Next 40%",
-             "userrest": "Remaining 50%"}
+# =============================datagit==============================
+new_names = {
+    "users1": "Top 1%",
+    "users9": "Next 9%",
+    "users40": "Next 40%",
+    "userrest": "Remaining 50%",
+}
 color = ["#579d1c", "#ffd320", "#ff420e", "#004586"]
 
 datagit = pd.read_csv(
@@ -53,7 +52,7 @@ path = "images/git.activity.share.svg"
 graph = plot(df, suptitle, title, color, ylim=ylim)
 save(graph, path)
 
-#=============================databodhi==============================
+# =============================databodhi==============================
 databodhi = pd.read_csv(
     "data/org.fedoraproject.prod.bodhi.update.comment.bucketed-activity.csv",
     parse_dates=[0],
@@ -84,7 +83,7 @@ path = "bodhi.activity.share.svg"
 graph = plot(df, suptitle, title, color, ylim=ylim)
 save(graph, path)
 
-#=============================datawiki==============================
+# =============================datawiki==============================
 datawiki = pd.read_csv(
     "data/org.fedoraproject.prod.wiki.article.edit.bucketed-activity.csv",
     parse_dates=[0],
@@ -116,7 +115,7 @@ graph = plot(df, suptitle, title, color, ylim=ylim)
 save(graph, path)
 
 
-#=============================datapagure==============================
+# =============================datapagure==============================
 datapagure = pd.read_csv(
     "data/io.pagure.prod.pagure.git.receive.bucketed-activity.csv", parse_dates=[0]
 )
@@ -143,4 +142,4 @@ suptitle = "Percent of Pagure Commits Each Week From Each Activity Level Group"
 title = ""
 path = "images/pagure.activity.share.svg"
 graph = plot(df, suptitle, title, color, ylim=ylim)
-save(graph, path)
\ No newline at end of file
+save(graph, path)
diff --git a/generate-contributor-charts.py b/generate-contributor-charts.py
index a7ca822..6f1b27e 100755
--- a/generate-contributor-charts.py
+++ b/generate-contributor-charts.py
@@ -2,10 +2,9 @@
 import os
 
 import matplotlib as m
-import matplotlib.pyplot as plt
 import pandas as pd
 
-from utils import *
+from utils import rename, save, plot
 
 m.use("Agg")
 
@@ -17,9 +16,11 @@ try:
 except OSError:
     pass
 
-new_names = {"oldactive": "Old School",
-            "midactive": "Intermediate",
-            "newactive": "New Contributors"}
+new_names = {
+    "oldactive": "Old School",
+    "midactive": "Intermediate",
+    "newactive": "New Contributors",
+}
 color = ["#579d1c", "#ffd320", "#ff420e", "#004586"]
 
 data = pd.read_csv("data/contributor-count.csv", parse_dates=[0])
@@ -30,31 +31,41 @@ df = rename(data, columns)
 
 yticks = range(0, 451, 25)
 suptitle = "Fedora Contributors by Week"
-title = ("Stacked graph of contributors with measured activity each week — and at least 13 weeks total in the last year.\n"
-        "“Old school” contributors have been active for longer than two years; new contributors, less than one.\n"
-        "Blue line shows all contributors active this week regardless of amount of other activity.")
+title = (
+    "Stacked graph of contributors with measured activity each week — and at least 13 weeks total in the \
+          last year.\n"
+    "“Old school” contributors have been active for longer than two years; new contributors, less than one.\n"
+    "Blue line shows all contributors active this week regardless of amount of other activity."
+)
 path = "images/active-contributors-by-week.svg"
 
-color=["#ff420e", "#ffd320", "#579d1c"]
+color = ["#ff420e", "#ffd320", "#579d1c"]
 new_names = {"rawcount": "All Contributors\nincluding less active"}
 graph = plot(df, suptitle, title, yticks=yticks, color=color, stacked=True)
-rename(df, columns=["rowcount"], new_names=new_names).plot(figsize=(16, 9), ax=graph, yticks=range(0, 426, 25))
+rename(df, columns=["rowcount"], new_names=new_names).plot(
+    figsize=(16, 9), ax=graph, yticks=range(0, 426, 25)
+)
 save(graph, path)
 
 columns = ["oldcore", "midcore", "newcore"]
-new_names = new_names = {"oldcore": "Old School",
-                        "midcore": "Intermediate",
-                        "newcore": "New Contributors"}
+new_names = new_names = {
+    "oldcore": "Old School",
+    "midcore": "Intermediate",
+    "newcore": "New Contributors",
+}
 df = rename(data, columns, new_names=new_names)
 
 yticks = range(0, 101, 25)
 suptitle = "Core Fedora Contributors by Week"
-title = ("Stacked graph of contributors with measured activity this week — and at least 13 weeks total in the last year.\n"
+title = (
+    "Stacked graph of contributors with measured activity this week — and at least 13 weeks total in the \
+          last year.\n"
     "Old school contributors have been active for longer than two years; new contributors, less than one.\n"
-    "“Core” means part of the set doing about ⅔s of all actions over the past year.")
+    "“Core” means part of the set doing about ⅔s of all actions over the past year."
+)
 path = "images/active-core-contributors-by-week.svg"
 
-color=["#ff420e", "#ffd320", "#579d1c"]
+color = ["#ff420e", "#ffd320", "#579d1c"]
 new_names = {"rawcount": "All Contributors\nincluding less active"}
 graph = plot(df, suptitle, title, yticks=yticks, color=color, stacked=True)
-save(graph, path)
\ No newline at end of file
+save(graph, path)
diff --git a/utils.py b/utils.py
index 76452d3..367e2d1 100644
--- a/utils.py
+++ b/utils.py
@@ -41,11 +41,13 @@ def grep(tries=0, **kwargs):
             raise ValueError("Ran out of retries")
         for message in data.get("raw_messages", []):
             yield message
-            
+
+
 def rename(df: pd.DataFrame, columns: List, new_names: Dict) -> pd.DataFrame:
     df.rename(columns=new_names)
     return df[columns]
 
+
 def get_pct(df: pd.DataFrame, columns: List = ["msgs1", "msgs9", "msgs40", "msgsrest"]):
     df["msgstotal"] = df[columns].sum(1)
     total = df["msgstotal"]
@@ -53,15 +55,16 @@ def get_pct(df: pd.DataFrame, columns: List = ["msgs1", "msgs9", "msgs40", "msgs
     for i in data_list:
         df[i + "%"] = 100 * df[i] / total
 
+
 def plot(df, suptitle: str, title: str, color, **kwargs) -> None:
     graph = df.plot.area(
-                    figsize=(16, 9),
-                    color=color,
-                    grid=False,
-                    yticks=kwargs.get('yticks', None),
-                    stacked=kwargs.get('stacked', True),
-                    ylim=kwargs.get('ylim', None)
-                )
+        figsize=(16, 9),
+        color=color,
+        grid=False,
+        yticks=kwargs.get("yticks", None),
+        stacked=kwargs.get("stacked", True),
+        ylim=kwargs.get("ylim", None),
+    )
     plt.suptitle(suptitle, fontsize=24)
     graph.set_title(title, fontsize=16)
     graph.set_xlabel("")
@@ -69,6 +72,7 @@ def plot(df, suptitle: str, title: str, color, **kwargs) -> None:
     graph.yaxis.grid(True, which="major", linestyle="-", linewidth=0.25)
     return graph
 
+
 def save(graph, path: str) -> None:
     fig = graph.get_figure()
-    fig.savefig(path, dpi=300)
\ No newline at end of file
+    fig.savefig(path, dpi=300)
